package com.hssx.pcbms.service;

import com.hssx.pcbms.entity.TaskFile;
import com.baomidou.mybatisplus.extension.service.IService;
import com.hssx.pcbms.util.HttpRespMsg;
import com.hssx.pcbms.util.PageUtil;
import org.springframework.web.multipart.MultipartFile;

/**
 * <p>
 *  服务类
 * </p>
 *
 * @author 吴涛涛
 * @since 2019-11-11
 */
public interface TaskFileService extends IService<TaskFile> {

    HttpRespMsg updateFile(MultipartFile file,TaskFile taskFile);

    HttpRespMsg getList(PageUtil page, String taskId);

    HttpRespMsg delById(TaskFile taskFile);
}
